### Method

# GdkPixbuf PixbufLoader get_pixbuf

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_loader_get_pixbuf (
      GdkPixbufLoader* loader
    )

#### Description [src]

Queries the `GdkPixbuf` that a pixbuf loader is currently creating.

In general it only makes sense to call this function after the `GdkPixbufLoader::area-prepared` signal has been emitted by the loader; this means that enough data has been read to know the size of the image that will be allocated.

If the loader has not received enough data via gdk_pixbuf_loader_write(), then this function returns `NULL`.

The returned pixbuf will be the same in all future calls to the loader, so if you want to keep using it, you should acquire a reference to it.

Additionally, if the loader is an animation, it will return the “static image” of the animation (see gdk_pixbuf_animation_get_static_image()).

#### Return value

Returns: | `GdkPixbuf`
| The pixbuf that the loader is creating.
| The data is owned by the instance.
| The return value can be `NULL`.